Home

# Class goog.ui.CookieEditor

Displays and edits the value of a cookie.

extends goog.ui.Component

Instance Method Summary
| `canDecorate(?Element element) ⇒ boolean` Determines if a given element can be decorated by this type of component. This method should be overridden by inheriting objects.
| `createDom()` Creates the initial DOM representation for the component. The default implementation is to set this.element_ = div.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `enterDocument()` Called when the component's element is known to be in the document. Anything using document.getElementById etc. should be done at this stage. If the component contains child components, this call is propagated to its children.
| `handleClear_(!goog.events.Event e)` Handles user clicking clear button.
| `handleUpdate_(!goog.events.Event e)` Handles user clicking update button.
| `selectCookie(string cookieKey)` Sets the cookie which this component will edit.